## org.apache.myfaces.custom.schedule
Class HtmlPlanner

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.apache.myfaces.custom.schedule.UIPlanner
                  org.apache.myfaces.custom.schedule.HtmlPlanner

All Implemented Interfaces:
  java.io.Serializable, javax.faces.component.StateHolder, org.apache.myfaces.component.UserRoleAware, javax.faces.component.ValueHolder

public class HtmlPlanner
extends UIPlanner
implements org.apache.myfaces.component.UserRoleAware

Version:
  $Revision$
Author:
  Bruno Aranda (latest modification by $Author$)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlPlanner()`

Method Summary
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getFamily()`
`java.lang.String` `getVisibleOnUserRole()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.custom.schedule.UIPlanner
`findEntry, getConverter, getLocalValue, getModel, getRendersChildren, getValue, getVisibleEndHour, getVisibleStartHour, getWorkingEndHour, getWorkingStartHour, setConverter, setModel, setValue, setVisibleEndHour, setVisibleStartHour, setWorkingEndHour, setWorkingStartHour`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPlanner

    public HtmlPlanner()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIPlanner`
  See Also:
    `UIComponent.getFamily()`

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `org.apache.myfaces.component.UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `org.apache.myfaces.component.UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `org.apache.myfaces.component.UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `org.apache.myfaces.component.UserRoleAware`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIPlanner`
  See Also:
    `StateHolder.saveState(javax.faces.context.FacesContext)`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIPlanner`
  See Also:
    `StateHolder.restoreState(javax.faces.context.FacesContext, java.lang.Object)`